### Type parameters

- #### A

### Hierarchy

- TransactGetRequestBase
  - TransactGetRequest1

## Index

### Properties

- params

### Methods

- exec
- execFullResponse
- execNoMap
- forModel

## Properties

### params

params: TransactGetItemsInput

Inherited from TransactGetRequestBase.params

- Defined in dynamo/transactget/transact-get.request.type.ts:9

## Methods

### exec

- exec(): Promise<[A]>

- - Defined in dynamo/transactget/transact-get.request.type.ts:18

  #### Returns Promise<[A]>

### execFullResponse

- execFullResponse(): Promise<TransactGetFullResponse<[A]>>

- - Defined in dynamo/transactget/transact-get.request.type.ts:16

  #### Returns Promise<TransactGetFullResponse<[A]>>

### execNoMap

- execNoMap(): Promise<TransactGetItemsOutput>

- Inherited from TransactGetRequestBase.execNoMap

  - Defined in dynamo/transactget/transact-get.request.type.ts:10

  #### Returns Promise<TransactGetItemsOutput>

### forModel

- forModel<B>(modelClazz: ModelConstructor<B>, key: Partial<B>): TransactGetRequest2<A, B>

- - Defined in dynamo/transactget/transact-get.request.type.ts:14

  #### Type parameters

  - #### B

  #### Parameters

  - ##### modelClazz: ModelConstructor<B>

  - ##### key: Partial<B>

  #### Returns TransactGetRequest2<A, B>